#ifndef MATHLIB_SPHERE_H
#define MATHLIB_SPHERE_H

#include <mathlib/matrix.h>

namespace mathlib {

template<int D>
class sphere {
public:
	vector<D> position;
	float radius;

	sphere() {}
	sphere(const vector<D> &pos, float r) : position(pos), radius(r) {}
};

} // namespace mathlib

#endif
